> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tessie.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Battery Health Measurements

> Returns the battery health measurements for a vehicle over time.



## OpenAPI

````yaml get /{vin}/battery_health
openapi: 3.0.0
info:
  title: Tessie API
  version: 1.0.0
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  description: The Tesla management platform.
  contact:
    name: Tessie
    url: https://tessie.com
    email: support@tessie.com
  x-logo:
    url: ''
  termsOfService: https://tessie.com/terms
servers:
  - url: https://api.tessie.com
security:
  - bearerAuth: []
tags:
  - name: Driver Management
    description: Driver management endpoints
  - name: Telemetry Configuration
    description: Vehicle telemetry configuration endpoints
  - name: Vehicle Commands
    description: Vehicle command endpoints
  - name: Vehicle Data
    description: Vehicle data endpoints
paths:
  /{vin}/battery_health:
    parameters:
      - $ref: '#/components/parameters/vin'
    get:
      tags:
        - Vehicle Data
      summary: Get Battery Health Measurements
      description: Returns the battery health measurements for a vehicle over time.
      operationId: get-battery-health-measurements
      parameters:
        - $ref: '#/components/parameters/from'
        - $ref: '#/components/parameters/to'
        - $ref: '#/components/parameters/distance_format'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      max_range:
                        type: number
                      max_ideal_range:
                        type: number
                      capacity:
                        type: number
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        timestamp:
                          type: number
                        odometer:
                          type: number
                        max_range:
                          type: number
                        max_ideal_range:
                          type: number
                        capacity:
                          type: number
              examples:
                Example 1:
                  value:
                    result:
                      max_range: 303.35
                      max_ideal_range: 255.12
                      capacity: 96.79
                Example With Timeframe:
                  value:
                    results:
                      - timestamp: 1612075363
                        odometer: 12123
                        max_range: 303.35
                        max_ideal_range: 255.12
                        capacity: 97.1
                      - timestamp: 1643611438
                        odometer: 25784
                        max_range: 303.35
                        max_ideal_range: 255.12
                        capacity: 96.79
          description: Success
components:
  parameters:
    vin:
      name: vin
      description: The associated VIN.
      schema:
        type: string
      in: path
      required: true
      deprecated: false
      x-last-modified: 1643747623235
      example: 5YJXCAE43LF123456
    from:
      name: from
      description: The start of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747658888
    to:
      name: to
      description: The end of the timeframe. Unix timestamp in seconds.
      schema:
        type: number
      in: query
      required: false
      allowEmptyValue: false
      deprecated: false
      example: 1643747642
      x-last-modified: 1643747664858
    distance_format:
      name: distance_format
      in: query
      required: false
      schema:
        type: string
        default: mi
        enum:
          - mi
          - km
      description: Whether to return data in miles or kilometers.
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````